org.apache.cayenne.dba.hsqldb

## Class HSQLMergerFactory

- java.lang.Object
- - org.apache.cayenne.merge.MergerFactory
  - - org.apache.cayenne.dba.hsqldb.HSQLMergerFactory

-     public class HSQLMergerFactory
      extends MergerFactory

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HSQLMergerFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MergerToken` | `createSetAllowNullToDb(DbEntity entity, DbAttribute column)`
    `MergerToken` | `createSetColumnTypeToDb(DbEntity entity, DbAttribute columnOriginal, DbAttribute columnNew)`
    `MergerToken` | `createSetPrimaryKeyToDb(DbEntity entity, Collection<DbAttribute> primaryKeyOriginal, Collection<DbAttribute> primaryKeyNew, String detectedPrimaryKeyName)`

    - ### Methods inherited from class org.apache.cayenne.merge.MergerFactory

      `createAddColumnToDb, createAddColumnToModel, createAddRelationshipToDb, createAddRelationshipToModel, createCreateTableToDb, createCreateTableToModel, createDropColumnToDb, createDropColumnToModel, createDropRelationshipToDb, createDropRelationshipToModel, createDropTableToDb, createDropTableToModel, createSetAllowNullToModel, createSetColumnTypeToModel, createSetNotNullToDb, createSetNotNullToModel, createSetPrimaryKeyToModel, createSetValueForNullToDb`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HSQLMergerFactory

          public HSQLMergerFactory()

  - ### Method Detail

    - #### createSetColumnTypeToDb

          public MergerToken createSetColumnTypeToDb(DbEntity entity,
                                                     DbAttribute columnOriginal,
                                                     DbAttribute columnNew)

      Overrides:
        `createSetColumnTypeToDb` in class `MergerFactory`

    - #### createSetAllowNullToDb

          public MergerToken createSetAllowNullToDb(DbEntity entity,
                                                    DbAttribute column)

      Overrides:
        `createSetAllowNullToDb` in class `MergerFactory`

    - #### createSetPrimaryKeyToDb

          public MergerToken createSetPrimaryKeyToDb(DbEntity entity,
                                                     Collection<DbAttribute> primaryKeyOriginal,
                                                     Collection<DbAttribute> primaryKeyNew,
                                                     String detectedPrimaryKeyName)

      Overrides:
        `createSetPrimaryKeyToDb` in class `MergerFactory`

Copyright © 2001–2017 Apache Cayenne. All rights reserved.